<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listCodices") label="Codices"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader iri=iri param="codexiri" prefix="Codex: "]]

[[#if (hasPermission "forms:ldp:update")]]
<div class="btn-toolbar">
  <mp-copy-to-clipboard text="[[singleValueFromSelect 'select ?idval where { ?? crm:P1_is_identified_by ?id. ?id crm:P2_has_type ismiidtype:ismi-id. ?id rdfs:label ?idval.}']]">
    <button type="button" class="btn btn-md btn-default">Copy ID</button>
  </mp-copy-to-clipboard>
  <semantic-link
    iri="[[resolvePrefix ':editCodex']]"
    urlqueryparam-codexiri='[[#if iri]][[iri]][[else]][[urlParam "codexiri"]][[/if]]'
    class="btn btn-md btn-primary"
    >Edit</semantic-link>
</div>
[[/if]]

<bs-tabs id="tabs" class="header">
  <bs-tab event-key="1" title="View">
    
    [[> Partial:fieldsTable iri=iri param="codexiri"]]

  </bs-tab>
  <bs-tab event-key="2" title="Source">

    [[> Partial:dataView iri=iri param="codexiri"]]

  </bs-tab>
  <bs-tab event-key="3" title="Diagram">

    [[> Partial:diagramView iri=iri param="codexiri"]]

  </bs-tab>
</bs-tabs>

[[> Partial:contentEnd]]
